CET Time Now
CET is the abbreviation of Central European Time. Time zone offset of CET is UTC+01. Central European Time is 1 hour ahead from the UTC universal time. CET current date is Saturday, November 14, 2026. Current time in CET (CET).
CET Time
14:24:58
14 November 2026 Saturday
Central European Time has the abbreviation of CET. Central European Time is 1 hour ahead from the UTC universal time. It is used as the basic time standard in most of European and African countries. CET is used in such cities as Rome, Berlin, Budapest, Amsterdam.
What time is it in Central European Time now? It is 14:24:58 right now.
Central European Time Date and Time Now in Various Formats
| Date Time Format | CET Date Time Now |
|---|---|
| UTC | 2026-11-14T13:24:58Z |
| ISO-8601 | 2026-11-14T14:24:58+0100 |
| RFC 2822 | Sat, 14 Nov 2026 14:24:58 +0100 |
| RFC 850 | Saturday, 14-Nov-26 14:24:58 CET |
| RFC 1036 | Sat, 14 Nov 26 14:24:58 +0100 |
| RFC 1123 | Sat, 14 Nov 2026 14:24:58 +0100 |
| RFC 822 | Sat, 14 Nov 26 14:24:58 +0100 |
| RFC 3339 | 2026-11-14T14:24:58+01:00 |
| ATOM | 2026-11-14T14:24:58+01:00 |
| COOKIE | Saturday, 14-Nov-2026 14:24:58 CET |
| RSS | Sat, 14 Nov 2026 14:24:58 +0100 |
| W3C | 2026-11-14T14:24:58+01:00 |
| Unix Epoch | 1794662698 |
| YYYY-MM-DD HH:MM:SS | 2026-11-14 14:24:58 |
| YYYY-MM-DD HH:MM:SS am/pm | 2026-11-14 02:24:58 PM |
| DD-MM-YYYY HH:MM:SS | 14-11-2026 14:24:58 |
| MM-DD-YYYY HH:MM:SS | 11-14-2026 14:24:58 |